Bug 13588 - less character classes broken
less character classes broken
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-07 17:50 EDT by jim
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-07 17:50:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jim 2000-07-07 17:50:52 EDT
I just noticed on my system that was fresh installed as RH6.2, that less
isn't working right for searches containing regex's.  I compared against
an RH6.1 machine, and that one worked correctly.

On the RH6.1 machine:

[71] jim@goddard:0$ rpm -qa | grep less
less-340-1
[73] jim@goddard:0$ env | grep -i less
PAGER=/usr/bin/less
LESS=-Mec

on  the RH6.2 machine:

[1025] jim@venture:0$ rpm -qa | grep less
less-346-2
[1034] jim@venture:0$ env | grep -i less
LESSOPEN=|/usr/bin/lesspipe.sh %s
PAGER=/usr/bin/less
LESS=-Mec


To reproduce the problem, execute 'man perlfunc', and inside of
less, do '/ord [A-Z]'.  Note that it will match as if you had done
'/ord [A-Za-z]' instead.  Doing a search like 
'/ord [ABCDEFGHIJKLMNOPQRSTUVWXYZ]' works correctly however.

If you need any further info, feel free to e-mail me.

Thanks,
Jim Gifford
Comment 1 Bernhard Rosenkraenzer 2000-08-04 05:10:30 EDT
This is an effect of the glibc locale changes (try doing the same with LANG="C"
man perlfunc and it does what you expect).

Note You need to log in before you can comment on or make changes to this bug.